# Interface PairwiseAligner

All Known Implementing Classes:
  `NeedlemanWunschLinearSpaceAffine`

public interface PairwiseAligner

Version:
  $Id: PairwiseAligner.java 315 2006-05-03 02:13:54Z alexeidrummond $
Author:
  Joseph Heled

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`PairwiseAligner.Result`

## Method Summary

Modifier and Type
Method
Description
`PairwiseAligner.Result`
`doAlignment(Sequence seq1, Sequence seq2, ProgressListener progress)`
`double`
`getScore(Sequence seq1, Sequence seq2)`

## Method Details

### doAlignment

PairwiseAligner.Result doAlignment(Sequence seq1, Sequence seq2, ProgressListener progress)

### getScore

double getScore(Sequence seq1, Sequence seq2)